spack:
  #url: git@gitlab.physik.uni-muenchen.de:LDAP_rbg/spack.git
  #branch: lmu/ubuntu20.04-icon
  #compiler: gcc@11.3.0
  init: "" # command to load spack environment, e.g. module load spack, use spack/setup-env.sh if empty
  url: https://github.com/spack/spack.git # url to download spack if necessary
  branch: develop # if downloaded, branch name to use
  compiler: gcc@12.2.0 # desired compiler for spack
  root: "%HPCROOTDIR%/spack" # path to a spack install, will be downloaded to if not present
  user_cache_path: "%HPCROOTDIR%/spack_user_cache_path" # spack puts data here when bootstrapping, leave empty to use home folder
  disable_local_config: true # if false, spack install into home folder
  build_cmd: "icon-nwp@%ICON.VERSION%% %SPACK.COMPILER% ^openmpi+pmi+legacylaunchers schedulers=slurm fabrics=ucx ucx+dc+dm+ib_hw_tm+mlx5_dv+rc+rdmacm+thread_multiple+ud+verbs ^gettext@0.20.2 "

python_environment:
  # Name of the virtual environment in the remote platform experiment folder
  folder_name: python_environment
  requirements:
    # Because there's an issue with numba, for now we need to keep a specific version of numpy
    - numpy==1.23
    - enstools-compression
    # Just to try a library from a git repository.
    - git+https://gitlab.physik.uni-muenchen.de/Oriol.Tinto/otils.git
    - f90nml
